import type { Plugin } from 'vite';
/**
 * A Vite plugin to highlight code using Lezer.
 */
export declare function syntaxHighlighter(): {
    enforce: "pre";
    name: string;
    configResolved(this: void, server: Readonly<Omit<import("vite").UserConfig, "plugins" | "css" | "assetsInclude" | "optimizeDeps" | "worker" | "build"> & {
        configFile: string | undefined;
        configFileDependencies: string[];
        inlineConfig: import("vite").InlineConfig;
        root: string;
        base: string;
        publicDir: string;
        cacheDir: string;
        command: "build" | "serve";
        mode: string;
        isWorker: boolean;
        isProduction: boolean;
        envDir: string;
        env: Record<string, any>;
        resolve: Required<import("vite").ResolveOptions> & {
            alias: import("vite").Alias[];
        };
        plugins: readonly Plugin[];
        css: import("vite").ResolvedCSSOptions;
        esbuild: import("vite").ESBuildOptions | false;
        server: import("vite").ResolvedServerOptions;
        build: import("vite").ResolvedBuildOptions;
        preview: import("vite").ResolvedPreviewOptions;
        ssr: import("vite").ResolvedSSROptions;
        assetsInclude: (file: string) => boolean;
        logger: import("vite").Logger;
        createResolver: (options?: Partial<import("vite").InternalResolveOptions>) => import("vite").ResolveFn;
        optimizeDeps: import("vite").DepOptimizationOptions;
        worker: import("vite").ResolvedWorkerOptions;
        appType: import("vite").AppType;
        experimental: import("vite").ExperimentalOptions;
    } & import("vite").PluginHookUtils>): void;
    load(this: import("rollup").PluginContext, id: string): Promise<string | undefined>;
};
